/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

// $Id: RedeployStateUnitTestCase.java,v 1.1.2.1 2004/11/05 12:55:50 tdiesler Exp $

package org.jboss.test.jbossnet.state;

import junit.framework.Test;

/**
 * Tests remote accessibility of stateful ejb bean after redeployment
 * @since 2. Oktober 2002, 12:11
 * @author <a href="mailto:Christoph.Jung@infor.de">Christoph G. Jung</a>
 * @version $Revision: 1.1.2.1 $
 */

public class RedeployStateUnitTestCase extends StateUnitTestCase
{

   // Constructors --------------------------------------------------
   public RedeployStateUnitTestCase(String name)
   {
      super(name);
   }

   /** this is to deploy the whole ear */
   public static Test suite() throws Exception
   {
      return getDeploySetup(RedeployStateUnitTestCase.class, "jbossnet-state.ear");
   }

   public static void main(String[] args)
   {
      junit.textui.TestRunner.run(RedeployStateUnitTestCase.class);
   }

}